{% extends 'base.html.twig' %}
{% block header_title %}Rapport d'activité de prédication{% endblock %}
{% block header_subtitle %}{{ report.publisher.fullName }}{% endblock %}

{% block body %}
    {% for message in app.flashes('success') %}
        <div class="row mt-2">
            <div class="col-xxl-3">
                <div class="alert alert-fill alert-icon alert-success">
                    <em class="icon ni ni-check-circle-fill"></em>
                    {{ message }}
                </div>
            </div>
        </div>
    {% endfor %}
    <div class="col-xxl-3 col-sm-12 col-md-12">

        <div class="card card-bordered card-full">
            <div class="card-inner">
                <div class="card-title-group">
                    <div class="card-title">
                        <h6 class="title"><span class="me-2">{{ report.date|format_date('none', 'MMMM y', locale='fr')|capitalize }}</span></h6>
                    </div>
                </div>
            </div>
            <div class="card-inner border-top">
                <form action="{{ path('app_fieldservice_report_edit', {'id': report.id}) }}"
                      method="post"
                      id="formReportCreate">
                    <div class="row">
                        <div class="col-12 mb-2">
                            <div class="form-group">
                                <input type="text" class="form-control" disabled value="{{ report.publisher.fullName }}">
                            </div>
                        </div>
                        <div class="col-6">
                            <label class="form-label">Heures</label>
                            <div class="form-control-wrap number-spinner-wrap">
                                <button class="btn btn-icon btn-outline-light number-spinner-btn number-minus" type="button" data-number="minus"><em class="icon ni ni-minus"></em></button>
                                <input type="number" class="form-control number-spinner" value="0" max="200" id="hourInput">
                                <button class="btn btn-icon btn-outline-light number-spinner-btn number-plus" type="button" data-number="plus"><em class="icon ni ni-plus"></em></button>
                            </div>
                        </div>
                        <div class="col-6">
                            <label class="form-label">Minutes</label>
                            <div class="form-control-wrap number-spinner-wrap">
                                <button class="btn btn-icon btn-outline-light number-spinner-btn number-minus" type="button" data-number="minus"><em class="icon ni ni-minus"></em></button>
                                <input type="number" class="form-control number-spinner" value="0" max="55" step="15" id="minuteInput">
                                <button class="btn btn-icon btn-outline-light number-spinner-btn number-plus" type="button" data-number="plus"><em class="icon ni ni-plus"></em></button>
                            </div>
                        </div>
                        {{ form_widget(form.times) }}
                    </div>
                    <div class="row mt-2">
                        <div class="col-6">
                            <div class="form-group">
                                {{ form_label(form.publications) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.publications) }}
                                    {{ form_errors(form.publications) }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-2">
                        <div class="col-6">
                            <div class="form-group">
                                {{ form_label(form.visits) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.visits) }}
                                    {{ form_errors(form.visits) }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-2">
                        <div class="col-6">
                            <div class="form-group">
                                {{ form_label(form.videos) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.videos) }}
                                    {{ form_errors(form.videos) }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-2">
                        <div class="col-6">
                            <div class="form-group">
                                {{ form_label(form.courses) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.courses) }}
                                    {{ form_errors(form.courses) }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-2">
                        <div class="col-6">
                            <div class="form-group">
                                {{ form_label(form.otherTimes) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.otherTimes) }}
                                    {{ form_errors(form.otherTimes) }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-2">
                        <div class="col-12">
                            <div class="form-group">
                                {{ form_label(form.comment) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.comment) }}
                                    {{ form_errors(form.comment) }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="mt-4">
                        <button class="btn btn-success" type="submit"><em class="icon ni ni-save-fill me-1"></em> Enregistrer</button>
                    </div>
                    {{ form_widget(form._token) }}
                </form>
            </div>
        </div><!-- .card -->
    </div><!-- .col -->
{% endblock %}
{% block javascripts %}
    <script>
        const $hiddenTime = document.getElementById('report_times');
        const $form = document.getElementById("formReportCreate");

        const $hiddenTimeHour = $hiddenTime.value ? parseInt($hiddenTime.value) / 60 : 0;
        const $hiddenTimeMinutes = $hiddenTime.value ? parseInt($hiddenTime.value) % 60 : 0;

        const $minuteInput = $('#minuteInput');
        const $hourInput = $('#hourInput');
        const $otherTimesInput = $('#report_otherTimes');
        let valueOtherTimes = parseInt($otherTimesInput.val());

        $hourInput.val($hiddenTimeHour);
        $minuteInput.val($hiddenTimeMinutes);
        $otherTimesInput.val(valueOtherTimes / 60);

        $form.addEventListener('submit', function (e) {
            e.preventDefault();
            const minute = parseInt(document.getElementById("minuteInput").value);
            const hour = parseInt(document.getElementById("hourInput").value);
            const hourToMinute = hour * 60;
            $hiddenTime.value = hourToMinute + minute;
            $form.submit();
        })



    </script>
{% endblock %}
